package com.huangge1199.ai.controller;

import com.huangge1199.ai.common.R;
import com.huangge1199.ai.service.AiService;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * AI测试类
 *
 * @author huangge1199
 * @since 2025/7/12 9:30:51
 */
@RestController
@RequestMapping("/ai")
public class AiController {

    @Resource
    private AiService aiService;

    /**
     * AI对话
     *
     * @param message 输入信息
     * @return ai返回结果
     */
    @PostMapping("/chat")
    public R<String> chat(@RequestBody String message) {
        String result = aiService.chat(message);
        return R.ok(result);
    }

    /**
     * 多模态-描述图片
     *
     * @param message 输入信息
     * @return ai返回结果
     */
    @PostMapping("/chatWithPicUrl")
    public R<String> chatWithPicUrl(@RequestBody String message) {
        String result = aiService.chatWithPicUrl(message);
        return R.ok(result);
    }

    /**
     * AI对话-带上系统提示词
     *
     * @param message 输入信息
     * @return ai返回结果
     */
    @PostMapping("/chatWithSysMessage")
    public R<String> chatWithSysMessage(@RequestBody String message) {
        String result = aiService.chatWithSysMessage(message);
        return R.ok(result);
    }
}
