package com.huangge1199.ai.exception;

import lombok.Getter;
import lombok.Setter;

/**
 * 自定义业务异常
 *
 * @author huangge1199
 * @since 2025/6/30 10:42:10
 */
@Setter
@Getter
public class MyException extends RuntimeException {

    /**
     * 错误码
     */
    private final int code;

    public MyException(int code, String message) {
        super(message);
        this.code = code;
    }

    public MyException(ErrorCode errorCode) {
        super(errorCode.getMessage());
        this.code = errorCode.getCode();
    }

    public MyException(ErrorCode errorCode, String message) {
        super(message);
        this.code = errorCode.getCode();
    }

}
